petsc-3.6.2 2015-10-02
Report Typos and Errors

# TSSetEventTolerances

Set tolerances for event zero crossings when using event handler

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetEventTolerances(TS ts,PetscReal tol,PetscReal *vtol)

Logically Collective

### Input Arguments

| ts | - time integration context
| tol | - scalar tolerance, PETSC_DECIDE to leave current value
| vtol | - array of tolerances or NULL, used in preference to tol if present

-ts_event_tol <tol> tolerance for event zero crossing - Notes: Must call TSSetEventMonitor() before setting the tolerances.

The size of vtol is equal to the number of events.

### See Also

TS, TSEvent, TSSetEventMonitor()

Level:beginner
Location:src/ts/event/tsevent.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages